> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 주문 결제링크 리다이렉트

> 직접 제어 하고 싶은 경우 응답에 포함된 Location 헤더를 확인하여 리다이렉트될 URI을 가져와 처리하시면 됩니다. 우측의 API 테스트 툴에서는 302 리다이렉트가 제대로 표현되지 않습니다.



## OpenAPI

````yaml /steppay_v1.json get /api/v1/orders/{idOrCode}/pay
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/orders/{idOrCode}/pay:
    get:
      tags:
        - 주문 API
      summary: 주문 결제링크 리다이렉트
      description: >-
        직접 제어 하고 싶은 경우 응답에 포함된 Location 헤더를 확인하여 리다이렉트될 URI을 가져와 처리하시면 됩니다. 우측의
        API 테스트 툴에서는 302 리다이렉트가 제대로 표현되지 않습니다.
      operationId: v1_payOrder
      parameters:
        - name: idOrCode
          in: path
          description: 주문 번호 또는 코드(주문 번호는 deprecate 될 예정입니다)
          required: true
          schema:
            type: string
        - name: successUrl
          in: query
          description: 결제 성공시 리다이렉트 될 URL
          required: false
          schema:
            type: string
        - name: errorUrl
          in: query
          description: 결제 실패시 리다이렉트 될 URL
          required: false
          schema:
            type: string
        - name: cancelUrl
          in: query
          description: 결제 취소시 리다이렉트 될 URL
          required: false
          schema:
            type: string
        - name: lang
          in: query
          required: false
          schema:
            type: string
      responses:
        '302':
          description: 결제링크로 리다이렉트 됩니다.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/RedirectView'
          headers:
            header-0:
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '404':
          description: 정보를 찾지 못 함
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/RedirectView'
components:
  schemas:
    RedirectView:
      type: object
      properties:
        applicationContext:
          $ref: '#/components/schemas/ApplicationContext'
        servletContext:
          type: object
          properties:
            majorVersion:
              type: integer
              format: int32
            minorVersion:
              type: integer
              format: int32
            attributeNames:
              type: object
            initParameterNames:
              type: object
            contextPath:
              type: string
            servletNames:
              type: object
              deprecated: true
            sessionCookieConfig:
              type: object
              properties:
                comment:
                  type: string
                maxAge:
                  type: integer
                  format: int32
                domain:
                  type: string
                path:
                  type: string
                secure:
                  type: boolean
                httpOnly:
                  type: boolean
                name:
                  type: string
            filterRegistrations:
              type: object
              additionalProperties:
                type: object
                properties:
                  servletNameMappings:
                    type: array
                    items:
                      type: string
                  urlPatternMappings:
                    type: array
                    items:
                      type: string
                  initParameters:
                    type: object
                    additionalProperties:
                      type: string
                  name:
                    type: string
                  className:
                    type: string
            sessionTrackingModes:
              uniqueItems: true
              type: array
              writeOnly: true
              items:
                type: string
                enum:
                  - COOKIE
                  - URL
                  - SSL
            defaultSessionTrackingModes:
              uniqueItems: true
              type: array
              items:
                type: string
                enum:
                  - COOKIE
                  - URL
                  - SSL
            effectiveSessionTrackingModes:
              uniqueItems: true
              type: array
              items:
                type: string
                enum:
                  - COOKIE
                  - URL
                  - SSL
            jspConfigDescriptor:
              type: object
              properties:
                taglibs:
                  type: array
                  items:
                    type: object
                    properties:
                      taglibURI:
                        type: string
                      taglibLocation:
                        type: string
                jspPropertyGroups:
                  type: array
                  items:
                    type: object
                    properties:
                      scriptingInvalid:
                        type: string
                      elIgnored:
                        type: string
                      pageEncoding:
                        type: string
                      isXml:
                        type: string
                      includeCodas:
                        type: array
                        items:
                          type: string
                      trimDirectiveWhitespaces:
                        type: string
                      deferredSyntaxAllowedAsLiteral:
                        type: string
                      errorOnUndeclaredNamespace:
                        type: string
                      includePreludes:
                        type: array
                        items:
                          type: string
                      buffer:
                        type: string
                      urlPatterns:
                        type: array
                        items:
                          type: string
                      defaultContentType:
                        type: string
            virtualServerName:
              type: string
            sessionTimeout:
              type: integer
              format: int32
            requestCharacterEncoding:
              type: string
            responseCharacterEncoding:
              type: string
            effectiveMajorVersion:
              type: integer
              format: int32
            effectiveMinorVersion:
              type: integer
              format: int32
            servlets:
              type: object
              deprecated: true
            serverInfo:
              type: string
            servletContextName:
              type: string
            servletRegistrations:
              type: object
              additionalProperties:
                type: object
                properties:
                  mappings:
                    type: array
                    items:
                      type: string
                  runAsRole:
                    type: string
                  initParameters:
                    type: object
                    additionalProperties:
                      type: string
                  name:
                    type: string
                  className:
                    type: string
            classLoader:
              type: object
              properties:
                name:
                  type: string
                defaultAssertionStatus:
                  type: boolean
                  writeOnly: true
                registeredAsParallelCapable:
                  type: boolean
                definedPackages:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      specificationTitle:
                        type: string
                      specificationVersion:
                        type: string
                      specificationVendor:
                        type: string
                      implementationTitle:
                        type: string
                      implementationVersion:
                        type: string
                      implementationVendor:
                        type: string
                      annotations:
                        type: array
                        items:
                          type: object
                      declaredAnnotations:
                        type: array
                        items:
                          type: object
                      sealed:
                        type: boolean
          writeOnly: true
        contentType:
          type: string
        requestContextAttribute:
          type: string
        staticAttributes:
          type: object
          additionalProperties:
            type: object
        exposePathVariables:
          type: boolean
        exposeContextBeansAsAttributes:
          type: boolean
          writeOnly: true
        exposedContextBeanNames:
          type: array
          writeOnly: true
          items:
            type: string
        beanName:
          type: string
        url:
          type: string
        contextRelative:
          type: boolean
          writeOnly: true
        http10Compatible:
          type: boolean
          writeOnly: true
        exposeModelAttributes:
          type: boolean
          writeOnly: true
        encodingScheme:
          type: string
          writeOnly: true
        statusCode:
          type: string
          writeOnly: true
          enum:
            - 100 CONTINUE
            - 101 SWITCHING_PROTOCOLS
            - 102 PROCESSING
            - 103 CHECKPOINT
            - 200 OK
            - 201 CREATED
            - 202 ACCEPTED
            - 203 NON_AUTHORITATIVE_INFORMATION
            - 204 NO_CONTENT
            - 205 RESET_CONTENT
            - 206 PARTIAL_CONTENT
            - 207 MULTI_STATUS
            - 208 ALREADY_REPORTED
            - 226 IM_USED
            - 300 MULTIPLE_CHOICES
            - 301 MOVED_PERMANENTLY
            - 302 FOUND
            - 302 MOVED_TEMPORARILY
            - 303 SEE_OTHER
            - 304 NOT_MODIFIED
            - 305 USE_PROXY
            - 307 TEMPORARY_REDIRECT
            - 308 PERMANENT_REDIRECT
            - 400 BAD_REQUEST
            - 401 UNAUTHORIZED
            - 402 PAYMENT_REQUIRED
            - 403 FORBIDDEN
            - 404 NOT_FOUND
            - 405 METHOD_NOT_ALLOWED
            - 406 NOT_ACCEPTABLE
            - 407 PROXY_AUTHENTICATION_REQUIRED
            - 408 REQUEST_TIMEOUT
            - 409 CONFLICT
            - 410 GONE
            - 411 LENGTH_REQUIRED
            - 412 PRECONDITION_FAILED
            - 413 PAYLOAD_TOO_LARGE
            - 413 REQUEST_ENTITY_TOO_LARGE
            - 414 URI_TOO_LONG
            - 414 REQUEST_URI_TOO_LONG
            - 415 UNSUPPORTED_MEDIA_TYPE
            - 416 REQUESTED_RANGE_NOT_SATISFIABLE
            - 417 EXPECTATION_FAILED
            - 418 I_AM_A_TEAPOT
            - 419 INSUFFICIENT_SPACE_ON_RESOURCE
            - 420 METHOD_FAILURE
            - 421 DESTINATION_LOCKED
            - 422 UNPROCESSABLE_ENTITY
            - 423 LOCKED
            - 424 FAILED_DEPENDENCY
            - 425 TOO_EARLY
            - 426 UPGRADE_REQUIRED
            - 428 PRECONDITION_REQUIRED
            - 429 TOO_MANY_REQUESTS
            - 431 REQUEST_HEADER_FIELDS_TOO_LARGE
            - 451 UNAVAILABLE_FOR_LEGAL_REASONS
            - 500 INTERNAL_SERVER_ERROR
            - 501 NOT_IMPLEMENTED
            - 502 BAD_GATEWAY
            - 503 SERVICE_UNAVAILABLE
            - 504 GATEWAY_TIMEOUT
            - 505 HTTP_VERSION_NOT_SUPPORTED
            - 506 VARIANT_ALSO_NEGOTIATES
            - 507 INSUFFICIENT_STORAGE
            - 508 LOOP_DETECTED
            - 509 BANDWIDTH_LIMIT_EXCEEDED
            - 510 NOT_EXTENDED
            - 511 NETWORK_AUTHENTICATION_REQUIRED
        expandUriTemplateVariables:
          type: boolean
          writeOnly: true
        propagateQueryParams:
          type: boolean
          writeOnly: true
        hosts:
          type: array
          items:
            type: string
        propagateQueryProperties:
          type: boolean
        redirectView:
          type: boolean
        attributes:
          type: object
          additionalProperties:
            type: string
          writeOnly: true
        attributesCSV:
          type: string
          writeOnly: true
        attributesMap:
          type: object
          additionalProperties:
            type: object
    ProductErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ApplicationContext:
      type: object
      properties:
        displayName:
          type: string
        autowireCapableBeanFactory:
          $ref: '#/components/schemas/AutowireCapableBeanFactory'
        applicationName:
          type: string
        startupDate:
          type: integer
          format: int64
        parent:
          $ref: '#/components/schemas/ApplicationContext'
        id:
          type: string
        environment:
          $ref: '#/components/schemas/Environment'
        beanDefinitionCount:
          type: integer
          format: int32
        beanDefinitionNames:
          type: array
          items:
            type: string
        parentBeanFactory:
          $ref: '#/components/schemas/BeanFactory'
        classLoader:
          type: object
          properties:
            parent:
              type: object
              properties:
                name:
                  type: string
                unnamedModule:
                  type: object
                  properties:
                    layer:
                      type: object
                    name:
                      type: string
                    descriptor:
                      type: object
                      properties:
                        open:
                          type: boolean
                        automatic:
                          type: boolean
                    classLoader:
                      type: object
                      properties:
                        name:
                          type: string
                        defaultAssertionStatus:
                          type: boolean
                          writeOnly: true
                        registeredAsParallelCapable:
                          type: boolean
                        definedPackages:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              specificationTitle:
                                type: string
                              specificationVersion:
                                type: string
                              specificationVendor:
                                type: string
                              implementationTitle:
                                type: string
                              implementationVersion:
                                type: string
                              implementationVendor:
                                type: string
                              annotations:
                                type: array
                                items:
                                  type: object
                              declaredAnnotations:
                                type: array
                                items:
                                  type: object
                              sealed:
                                type: boolean
                    annotations:
                      type: array
                      items:
                        type: object
                    declaredAnnotations:
                      type: array
                      items:
                        type: object
                    named:
                      type: boolean
                    packages:
                      uniqueItems: true
                      type: array
                      items:
                        type: string
                defaultAssertionStatus:
                  type: boolean
                  writeOnly: true
                registeredAsParallelCapable:
                  type: boolean
                definedPackages:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      specificationTitle:
                        type: string
                      specificationVersion:
                        type: string
                      specificationVendor:
                        type: string
                      implementationTitle:
                        type: string
                      implementationVersion:
                        type: string
                      implementationVendor:
                        type: string
                      annotations:
                        type: array
                        items:
                          type: object
                      declaredAnnotations:
                        type: array
                        items:
                          type: object
                      sealed:
                        type: boolean
            name:
              type: string
            unnamedModule:
              type: object
              properties:
                layer:
                  type: object
                name:
                  type: string
                descriptor:
                  type: object
                  properties:
                    open:
                      type: boolean
                    automatic:
                      type: boolean
                classLoader:
                  type: object
                  properties:
                    name:
                      type: string
                    defaultAssertionStatus:
                      type: boolean
                      writeOnly: true
                    registeredAsParallelCapable:
                      type: boolean
                    definedPackages:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                          specificationTitle:
                            type: string
                          specificationVersion:
                            type: string
                          specificationVendor:
                            type: string
                          implementationTitle:
                            type: string
                          implementationVersion:
                            type: string
                          implementationVendor:
                            type: string
                          annotations:
                            type: array
                            items:
                              type: object
                          declaredAnnotations:
                            type: array
                            items:
                              type: object
                          sealed:
                            type: boolean
                annotations:
                  type: array
                  items:
                    type: object
                declaredAnnotations:
                  type: array
                  items:
                    type: object
                named:
                  type: boolean
                packages:
                  uniqueItems: true
                  type: array
                  items:
                    type: string
            defaultAssertionStatus:
              type: boolean
              writeOnly: true
            registeredAsParallelCapable:
              type: boolean
            definedPackages:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                  specificationTitle:
                    type: string
                  specificationVersion:
                    type: string
                  specificationVendor:
                    type: string
                  implementationTitle:
                    type: string
                  implementationVersion:
                    type: string
                  implementationVendor:
                    type: string
                  annotations:
                    type: array
                    items:
                      type: object
                  declaredAnnotations:
                    type: array
                    items:
                      type: object
                  sealed:
                    type: boolean
    ReturnError:
      type: object
    AutowireCapableBeanFactory:
      type: object
    Environment:
      type: object
      properties:
        activeProfiles:
          type: array
          items:
            type: string
        defaultProfiles:
          type: array
          items:
            type: string
    BeanFactory:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````